Skip to main content

Create a quote

POST 

/api/v3/quote

Requirements
  • You must specify an existing customer_id, customer_token, or customer_external_key value.
  • You must specify at least one line item.
  • Each line item must refer to an existing item_id value.
  • You must specify a paycycle:
    • one - a quote for a one-time invoice
    • mon - a quote for a monthly subscription
    • 2mn - a quote for a subscription that invoices the customer every 2 months
    • yrl - a quote for a yearly subscription

    • 2yr - a quote for a subscription that invoices the customer every 2 years
    • 3yr - a quote for a subscription that invoices the customer every 3 years
    • 1wk - a quote for a weekly subscription
    • 2wk - a quote for a subscription that invoices the customer every 2 weeks

    • qtr - a quote for a quarterly subscription
    • six - a quote for a subscription that invoices customers every 6 months
Notes
  • The id value in the response is the quote_id value of the newly created quote.
  • The "Location:" header will provide a direct API link to the newly created quote.

Request

Responses

Object was created successfully